Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_PG_Location_Hash Class Reference

Hash function object for generating a hash for a Location. More...

`#include <PG_Location_Hash.h>`

List of all members.

## Public Methods
CORBA::ULong | operator() (const PortableGroup::Location &) const
| Creates a hash based on all of elements of the given Location.

## Detailed Description

Hash function object for generating a hash for a Location.

## Member Function Documentation

ACE_INLINE CORBA::ULong TAO_PG_Location_Hash::operator() | ( | const PortableGroup::Location & |  | ) | const

| Creates a hash based on all of elements of the given Location.

The documentation for this class was generated from the following files:

- PG_Location_Hash.h
- PG_Location_Hash.inl